#include <linux/config.h>
#include <linux/device.h>
#include <linux/fs.h>
#include <linux/init.h>
#include <linux/interrupt.h>    
#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/sched.h>

#define	SBC2440_MOD_SAMPLE_MAJOR 236         

MODULE_LICENSE("GPL");
MODULE_AUTHOR("soso - FriendlyARM"); 
MODULE_DESCRIPTION("sbc2440_mod_sample");

static int sbc2440_mod_sample_open(struct inode *inode, struct file *file)
{
    return 0;
};
static int sbc2440_mod_sample_release(struct inode *inode, struct file *file)
{
    return 0;
};
static ssize_t sbc2440_mod_sample_read(struct file *file, char *buf, size_t size, loff_t *loff)
{
    return 0;
};
static ssize_t sbc2440_mod_sample_write(struct file *file, const char *buf, size_t size, loff_t *loff)
{
    return 0;
};
int sbc2440_mod_sample_ioctl(struct inode *inode,    struct file *file,    unsigned int ioctl_num,    unsigned long ioctl_param)
{
    return 0;
};

static struct file_operations sbc2440_mod_sample_fops = {
    .read             = sbc2440_mod_sample_read,
    .write             = sbc2440_mod_sample_write,
    .ioctl             = sbc2440_mod_sample_ioctl,
    .open             = sbc2440_mod_sample_open,
    .release         = sbc2440_mod_sample_release,
};

static int __init sbc2440_mod_sample_module_init(void)
{
    printk("init sbc2440_mod_sample module device\n");
    register_chrdev(SBC2440_MOD_SAMPLE_MAJOR, "sbc2440_mod_sample", &sbc2440_mod_sample_fops);
    return 0;
}

static void __exit sbc2440_mod_sample_module_cleanup(void)
{
    printk("cleanup sbc2440_mod_sample module device\n");
}

module_init(sbc2440_mod_sample_module_init);
module_exit(sbc2440_mod_sample_module_cleanup);
